.expire_value
{
    width: 40% !important;
    background-color: #fff;
    border: 1px solid #fff;
    border-color: #fff;
    border-radius: 10px 0px 0px 10px !important;
    color: #7b61ff;
    font-size: 14px !important;
    padding: 10px;
    text-align: right !important;
}

.expire_type {
    width: 60% !important;
    background-color: #fff;
    border-color: #fff;
    color: #7b61ff;
    border-radius: 0px 10px 10px 0px !important;
}

.expire_type:focus-visible
{
    outline: none !important;
}

.custom_code,.custom_code:focus
{
    width: 50% !important;
    background-color: #fff;
    border: 1px solid #fff;
    border-color: #fff;
    border-radius: 0px 10px 10px 0px !important;
    color: #7b61ff;
    font-size: 14px !important;
    padding: 10px;
}

.custom_domain
{
    background-color: #fff;
    border-color: #fff;
    color: #7b61ff;
    border-radius: 10px 0px 0px 10px !important;
    width: 50% !important;
}

.url::placeholder, .custom_code::placeholder
{
    color: #c5c4c4;
    opacity: 1;
    /* Firefox */
    font-size: 14px !important;
}

.url:focus
{
    background-color: #fff;
    border-color: #fff;
    border-radius: 8px !important;
    color: #775df7;
    font-size: 14px !important;
    padding: 10px;
}

.url:active {
    background-color: #fff;
    border-color: #fff;
    border-radius: 8px !important;
    color: #775df7;
    font-size: 14px !important;
    padding: 10px;
}

.url {
    background-color: #fff;
    border-color: #fff;
    border: 1px solid #fff;
    border-radius: 8px !important;
    color: #775df7;
    font-size: 14px !important;
    padding: 10px;
    width: 100%;
}

.custom_label
{
    color: #fff;
}

.save_url {
    /* margin-left: -10px !important; */
    border-radius: 10px !important;
    min-width: 100px !important;
    background-color: #64e238;
    border-color: #64e238;
    font-weight: 400;
    z-index: 9999 !important;
    color: #fff;
    font-size: 19px;
}

.save_url:hover {
    border-radius: 10px !important;
    min-width: 100px !important;
    background-color: #64e238;
    border-color: #64e238;
    font-weight: 400;
    z-index: 9999 !important;
    color: #fff;
    font-size: 19px;
}

.h1-big-text {
    color: #fff;
    font-weight: bold;
}

.h5-small-text {
    color: #fff;
    font-size: 15px !important;
    font-weight: 350;
}

.span-label {
    color: #fff;
    padding: 5px 5px 0px 15px !important;
    /* margin-bottom: 30px; */
}

.short_url {
    background-color: #775df7;
}

.short_url_view_text {
    color: #fff;
    font-weight: 300;
}

.original_url_view_text {
    color: #c5c4c4;
    text-decoration: underline;
    text-underline-position: under;
    font-weight: 200;
}

.result-btn {
    background-color: #775df7;
    border-color: #fff;
    color: #fff;
    padding: 5px;
    min-width: 120px;
    font-size: 20px;
    border-radius: 30px;
    margin: 3px;
}

.result-btn:hover, .result-btn.active 
{
    background-color: #64e238;
    border-color: #64e238;
    color: #fff;
    padding: 5px;
    min-width: 120px;
    font-size: 20px;
    border-radius: 30px;
    margin: 3px;
}

.small-text {
    color: #c5c4c4;
}

.termlink {
    color: #fff;
}

.btn-check:active+.btn-primary:focus,
.btn-check:checked+.btn-primary:focus,
.btn-primary.active:focus,
.btn-primary:active:focus,
.show>.btn-primary.dropdown-toggle:focus {
    box-shadow: none !important;
}

.btn-check:active+.btn-primary,
.btn-check:checked+.btn-primary,
.btn-primary.active,
.btn-primary:active,
.show>.btn-primary.dropdown-toggle,
.btn-check:focus+.btn-primary,
.btn-primary:focus,
.btn-primary:focus {
    color: #fff !important;
    background-color: #64e238 !important;
    border-color: #64e238 !important;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    margin: 0;
}

body{
    background-color: #583abc;
}

@media only screen and (min-width:1000px) and (max-width: 1250px) {
    .expire_type {
        width: 60% !important;
    }

    .expire_value {
        width: 40% !important;
        background-color: #fff;
        border: 1px solid #fff;
        border-color: #fff;
        border-radius: 10px 0px 0px 10px !important;
        color: #7b61ff;
        font-size: 14px !important;
        padding: 10px;
        text-align: right !important;
    }
}

@media only screen and (max-width: 600px) {
    .primary_bg {
        background-color: #583abc;
    }

    .expire_type {
        width: 55% !important;
    }

    .expire_value {
        width: 45% !important;
    }

    .url {
        width: 100% !important;
        border-radius: 10px !important;
    }

    .save_url {
        margin-left: 0px !important;
        border-radius: 10px !important;
        min-width: 100px !important;
        background-color: #64e238;
        border-color: #64e238;
        font-weight: bold;
        z-index: 9999 !important;
        color: #fff;
        width: 100%;
        padding: 13px;
    }

    .url_form
    {
        padding: 15px !important;
    }
}